Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.javascript.base
[Java] Class JavaScriptRepositoriesExtension

    java.lang.Object
      org.gradle.plugins.javascript.base.JavaScriptRepositoriesExtension

    public class JavaScriptRepositoriesExtension

Field Summary
`static String` | `GOOGLE_APIS_REPO_URL`
`static String` | `GRADLE_PUBLIC_JAVASCRIPT_REPO_URL`
`static String` | `NAME`

Constructor Summary
`JavaScriptRepositoriesExtension(RepositoryHandler repositories)`

Method Summary
`IvyArtifactRepository` | `googleApis()`
`IvyArtifactRepository` | `googleApis(Action action)`
`ArtifactRepository` | `gradle()`
`MavenArtifactRepository` | `gradle(Action action)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### GOOGLE_APIS_REPO_URL

    public static final String GOOGLE_APIS_REPO_URL

### GRADLE_PUBLIC_JAVASCRIPT_REPO_URL

    public static final String GRADLE_PUBLIC_JAVASCRIPT_REPO_URL

### NAME

    public static final String NAME

Constructor Detail

### JavaScriptRepositoriesExtension

    public JavaScriptRepositoriesExtension(RepositoryHandler repositories)

Method Detail

### googleApis

    public IvyArtifactRepository googleApis()

### googleApis

    public IvyArtifactRepository googleApis(Action action)

### gradle

    public ArtifactRepository gradle()

### gradle

    public MavenArtifactRepository gradle(Action action)

Gradle API 1.10